{% extends 'base.html' %}

{% block name %}Create Project{% endblock name %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p><a href="{% url "create_project" %}">Create a new project</a></p>
            {% if list_project %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in list_project %}
                    <tr>
                        <td><a href="{% url "show_project" item.id %}">{{ item.name }}</a></td>
                        <td>{{ item.tasks.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% else %}
            <p>You are not assigned to any projects</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
